> ## Documentation Index
> Fetch the complete documentation index at: https://ionet-cca8037f-confidential-compute.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove document from collection

> This endpoint removes the association between a document and a collection.

It does not delete the document itself. The user must have permissions to modify the collection.


## OpenAPI

````yaml openapi/rag-collections/remove-document-from-collection.json delete /api/r2r/v3/collections/{id}/documents/{document_id}
openapi: 3.1.0
info:
  title: IO Intelligence
  version: '1.0'
servers:
  - url: https://api.intelligence.io.solutions
security:
  - sec0: []
paths:
  /api/r2r/v3/collections/{id}/documents/{document_id}:
    delete:
      summary: Remove document from collection
      description: >-
        This endpoint removes the association between a document and a
        collection.
      operationId: remove-document-from-collection
      parameters:
        - name: id
          in: path
          description: Collection ID
          schema:
            type: string
          required: true
        - name: document_id
          in: path
          description: Document ID to remove
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    results:
                      success: true
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      success:
                        type: boolean
                        example: true
                        default: true
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Result:
                  value: ''
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: oauth2
      flows: {}

````